Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetChatBackground

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetChatBackground

Enclosing class:
  TdApi

public static final class TdApi.SetChatBackground extends TdApi.Function<TdApi.Ok>
Sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputBackground`
`background`
The input background to use; pass null to create a new filled or chat theme background.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`darkThemeDimming`
Dimming of the background in dark themes, as a percentage; 0-100.
`boolean`
`onlyForSelf`
Pass true to set background only for self; pass false to set background for all chat users.
`TdApi.BackgroundType`
`type`
Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats.

## Constructor Summary

Constructors
Constructor
Description
`SetChatBackground()`
Sets the background in a specific chat.
`SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming, boolean onlyForSelf)`
Sets the background in a specific chat.
`SetChatBackground(DataInput input)`
Sets the background in a specific chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### background

public TdApi.InputBackground background
The input background to use; pass null to create a new filled or chat theme background.

### type

public TdApi.BackgroundType type
Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats. Use chatBoostLevelFeatures.chatThemeBackgroundCount and chatBoostLevelFeatures.canSetCustomBackground to check whether the background type can be set in the boosted chat.

### darkThemeDimming

public int darkThemeDimming
Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.

### onlyForSelf

public boolean onlyForSelf
Pass true to set background only for self; pass false to set background for all chat users. Always false for backgrounds set in boosted chats. Background can be set for both users only by Telegram Premium users and if set background isn't of the type inputBackgroundPrevious.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetChatBackground

public SetChatBackground()
Sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

Returns `Ok`

### SetChatBackground

public SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming, boolean onlyForSelf)
Sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `background` - The input background to use; pass null to create a new filled or chat theme background.
  `type` - Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats. Use chatBoostLevelFeatures.chatThemeBackgroundCount and chatBoostLevelFeatures.canSetCustomBackground to check whether the background type can be set in the boosted chat.
  `darkThemeDimming` - Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.
  `onlyForSelf` - Pass true to set background only for self; pass false to set background for all chat users. Always false for backgrounds set in boosted chats. Background can be set for both users only by Telegram Premium users and if set background isn't of the type inputBackgroundPrevious.

  Returns `Ok`

### SetChatBackground

public SetChatBackground(DataInput input) throws IOException
Sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`